libVitaMTP 2.5.9

Data Fields
metadata Struct Reference

`#include <vitamtp.h>`

## Data Fields
int | ohfiParent
int | ohfi
unsigned int | handle
char * | name
char * | path
int | type
time_t | dateTimeCreated
uint64_t | size
enum DataType | dataType
union {
struct metadata_thumbnail {
int codecType
int width
int height
int type
int orientationType
float aspectRatio
int fromType
} thumbnail
struct metadata_saveData {
int padding [2]
char * title
char * dirName
char * savedataTitle
int statusType
char * detail
long dateTimeUpdated
} saveData
struct metadata_photo {
int numTracks
struct media_track * tracks
char * title
char * fileName
int fileFormatType
int statusType
long dateTimeOriginal
} photo
struct metadata_music {
int numTracks
struct media_track * tracks
char * title
char * fileName
int fileFormatType
int statusType
char * album
char * artist
} music
struct metadata_video {
int numTracks
struct media_track * tracks
char * title
char * fileName
int fileFormatType
int statusType
long dateTimeUpdated
int parentalLevel
char * explanation
char * copyright
} video
} | data
struct metadata * | next_metadata

## Detailed Description

A linked list of metadata for objects. The items outside of the union MUST be set for all data types. After setting dataType, you are required to fill the data in the union for that type.

The ohfi is a unique id that identifies an object. This id is used by the Vita to request objects. The title is what is shown on the screen on the Vita. The index is the order that objects are shown on screen.

See also
  VitaMTP_SendObjectMetadata()

The documentation for this struct was generated from the following file:

- /tmp/slackdce/slackrepo.XPJB8z/build_VitaMTP/vitamtp-2.5.9/src/vitamtp.h